#!/bin/bash

for f in */*.apk ; do
	dirname=$(dirname $f)
	basename=$(basename $f)
	cd $dirname
	echo "Validating checksums of ${basename}..."
	cfv $basename 2>/dev/null | head -n 3
	sha256sum -c "${basename::-4}.sha256"
	sha512sum -c "${basename::-4}.sha512"
	echo
	cd ..
done
